| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
MCI Bus Data Width
MCI Control Codes

Specify the data bus width. More...

## Macros

#define | ARM_MCI_BUS_DATA_WIDTH_1 (0x00)
| Bus data width: 1 bit (default)
#define | ARM_MCI_BUS_DATA_WIDTH_4 (0x01)
| Bus data width: 4 bits.
#define | ARM_MCI_BUS_DATA_WIDTH_8 (0x02)
| Bus data width: 8 bits.
#define | ARM_MCI_BUS_DATA_WIDTH_4_DDR (0x03)
| Bus data width: 4 bits, DDR (Dual Data Rate) - MMC only.
#define | ARM_MCI_BUS_DATA_WIDTH_8_DDR (0x04)
| Bus data width: 8 bits, DDR (Dual Data Rate) - MMC only.

## Description

Specify the data bus width.

The function ARM_MCI_Control with control = ARM_MCI_BUS_DATA_WIDTH specifies with arg the number of data I/O pins on the SD/MMC interface.

For high-speed memory cards, a 4-bit bus data width should be used (or 8-bit for eMMC). The bitfields ARM_MCI_CAPABILITIES.data_width_4 and ARM_MCI_CAPABILITIES.data_width_8 encode whether the driver supports a specific bus data with.

The following codes are defined:

## Macro Definition Documentation

#define ARM_MCI_BUS_DATA_WIDTH_1 (0x00)

Bus data width: 1 bit (default)

#define ARM_MCI_BUS_DATA_WIDTH_4 (0x01)

Bus data width: 4 bits.

#define ARM_MCI_BUS_DATA_WIDTH_4_DDR (0x03)

Bus data width: 4 bits, DDR (Dual Data Rate) - MMC only.

#define ARM_MCI_BUS_DATA_WIDTH_8 (0x02)

Bus data width: 8 bits.

#define ARM_MCI_BUS_DATA_WIDTH_8_DDR (0x04)

Bus data width: 8 bits, DDR (Dual Data Rate) - MMC only.